Jump to content

sickaporean

Members
  • Content count

    21
  • Joined

  • Last visited

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. sickaporean

    Oscommerce integrate with nolapro

    ok. thanks
  2. sickaporean

    phoenix + nolapro

    Well Ecartz, thats why i am here looking for advice. lol ...
  3. sickaporean

    phoenix + nolapro

    Hi, i want to integrate phoenix with nolapro. I have 2 files that nolapro has advised to install to phoenix. Here the how to : - " The Default Location, Price Level, Cost of Goods Sold account and other values will be applied to all orders coming in from your osCommerce site. You can fill in the OSCom URL, login info and database info if you want to update your osCommerce inventory levels when you receive products on PO inside NolaPro. If you fill in this info NolaPro will also update the osCommerce order status when you ship an order from inside NolaPro. Verify that the file nolapro/api/app/config/database.php points to your NolaPro database. Open this file up in a text editor. Make sure the values for 'host', 'login', 'password' and 'database' point to your NolaPro database properly. Move the folder nolapro/oscom/nolapro inside your osCommerce code (just the folder called nolapro with two files in it). It should go in your catalog directory so it is at the same level as your admin, includes, images, etc. folders. Open up the file npapi.php from the catalog/nolapro/ folder. At the very top of the page put in values so that your osCommerce site can talk to the NolaPro API. You can get this info by going to Tools -> osCommerce in NolaPro and look in the Available API Accounts section at the bottom of the page. You'll need the User ID, API Key and Company ID along with the URL for your NolaPro site. Be sure to add the /api/rest/ to the end of your NolaPro URL. It should look something like: http://demo.nolapro.com/api/rest/. Open up the osCommerce file called checkout_process.php. Add in the NolaPro bridge code so that it is in the following position: // send emails to other people if (SEND_EXTRA_ORDER_EMAILS_TO != '') { tep_mail('', SEND_EXTRA_ORDER_EMAILS_TO, EMAIL_TEXT_SUBJECT, $email_order, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS); } // +++++ NolaPro +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ include_once('nolapro/nolapro.php'); nolapro_save_order($order, $cart, $insert_id, $customer_id, $order_totals, $payment); // +++++ End NolaPro +++++++++++++++++++++++++++++++++++++++++++++++++++++++++ // load the after_process function from the payment modules $payment_modules->after_process(); $cart->reset(true);" This is applicable to the old oscommerce but not to phoenix. I am not sure is it possible to do that in phoenix? I attached the nolapro 2 files for all. Any ideas? nolapro.php npapi.php npimport.php
  4. Hi, How do i set a default option for option values? Have a look at the screenshot please. I would like to have "Nyatoh" as a default option that buyer need not have to click on the option. May i know how can i do it? Thanks.
  5. sickaporean

    PayPal in phoenix ...help!

    yes steve ... i found it. Thanks
  6. sickaporean

    PayPal in phoenix ...help!

    Hi all, Alright guys, I managed to get something out of it. I need to hover over the horizontal bar left of report and click start. I am so sorry that i never put attention to the horizontal bar. It should worked now. Once again and thanks to raiwai, burt and all
  7. sickaporean

    PayPal in phoenix ...help!

    Hi Burt, There is nowhere that i can enter my API ...really. I have been searching and i cant find any. Even clicking on the blue button, you can see my screenshot ...nothing. Please advise.
  8. sickaporean

    PayPal in phoenix ...help!

    Hi all, Here are 2 screenshot.... Any advice? Thanks
  9. sickaporean

    PayPal in phoenix ...help!

    steve, I am using phoenix.
  10. sickaporean

    PayPal in phoenix ...help!

    Rawai, Yes, i dun test the connection anymore. But then i have installed paypal module, but unable to find entry for me to input credentials now ....... Thanks
  11. sickaporean

    PayPal in phoenix ...help!

    PETER, is 1.0.7.1
  12. sickaporean

    PayPal in phoenix ...help!

    Hi. I tried the paypal express checkout but ....i found no input for my credentials.. Can anyone help me with this? Should I use the module from the old oscommerce? or what? I google whole day but no proper solutions for me. Thanks
  13. sickaporean

    TLS1.2 again

    BrockleyJohn, Dun understand why if not meant to work... So how to install a workable paypal for phoenix oscommerce then? I am newbie ... Thanks
  14. sickaporean

    TLS1.2 again

    mhsuffolk, The older version of paypal worked. Older means downloaded using my cpanel. Now using phoenix, it dun work. When i hit the test connection, it gives me those errors. So, i am stucked! where to enter my credentials? Oh gosh. Tahnks.
  15. sickaporean

    TLS1.2 again

    Hi all, i have problem with paypal. Please see this : - cURL Version: 7.70.0 cURL SSL Version: OpenSSL/1.1.1g Default Setting: Failed TLS v1.2: Failed A connection to PayPal could not be made using TLS v1.2. Please consult with your hosting provider to upgrade the cURL version that is installed with your PHP web server to support TLS v1.2 connections. This must be performed by June 30, 2017 otherwise connections will continue to fail. I thought it was the TLS V1.1 that caused this problem but no, it wasnt it. Thus i contacted my host surpass hosting and got their reply: - [Hello, Both the base OS installation of OpenSSL (1.0.1e) as well as the OpenSSL installation that the webserver utilizes (1.1.1g) support TLSv1.2. I have verified that support for TLSv1.2 is enabled in both the webserver as well as in the cURL extension provided for PHP 7.3 (the PHP version that oscommerce.huphengwoodworks.com.sg is currently using). The screenshot you've provided from SSLLabs does not seem to suggest a lack of support for TLSv1.2, but rather is just a warning that TLSv1.1 is enabled in the webserver. As TLSv1.1 is aging some online SSL checkers have begun recommending disabling it, however it remains enabled in this case to retain compatibiity with older clients. I would recommend reviewing the configuration for your website in order to ensure there is not any interfering problem as well as reviewing the documentation for PHP's cURL extension in order to ensure that there is not any additional settings needed for it to work with TLSv1.2 in the context of your site. Regards] Now i am lost ... i dont know where to go to fix it now. Can any kind souls please help? Thanks. ** oscommerce phoenix 1.0.7.1 ** paypal express checkout 5.018 ** api version 204
×